Developers

Read one model

GET
/models/{modelId}

One model's Operations, prompt limits, input assets and options, as list_available_models lists them.

Path Parameters

modelId*"seedream-5-5"
Value in"seedream-5-5"

Response Body

Success.

application/json
  1. response
id*"seedream-5-5"
Value in"seedream-5-5"
name*string
Length1 <= length
mediaType*string
Value in"image""video""audio""music"
provider*string
Value in"kie""wavespeed""fal"
available*boolean
defaultOperation*string
Value in"text-to-image""image-to-image""text-to-video""image-to-video""video-to-video""text-to-audio""text-to-music"
operations*array<>
Items1 <= items
Example request
curl -X GET 'https://ximagesplitter.com/api/v1/models/seedream-5-5'
Example response
{  "id": "seedream-5-5",  "name": "string",  "mediaType": "image",  "provider": "kie",  "available": true,  "defaultOperation": "text-to-image",  "operations": [    {      "id": "text-to-image",      "outputMediaType": "image",      "prompt": {        "minLength": 0,        "maxLength": 1      },      "negativePromptMaxLength": 1,      "inputAssets": [        {          "id": "string",          "mediaType": "image",          "role": "source",          "required": true,          "conditional": true,          "maxFiles": 1,          "maxFileBytes": 1,          "mimeTypes": [            "string"          ]        }      ],      "options": [        {          "id": "string",          "kind": "string",          "values": [            "string"          ],          "default": "string",          "min": 0,          "max": 0,          "step": 0,          "maxLength": 1,          "conditional": true        }      ],      "creditsAtDefaultOptions": 1    }  ]}